client = require('./client')

operators = ['(i [([went] ([to] (<the> store)))])']

bridges = [
  { "id": "the", "level": 0, "bridge": "{ ...after, determiner: 'the' }" },
  { "id": "to", "level": 0, "bridge": "{ ...next(operator), after: after[0] }" },
  { "id": "went", "level": 0, "bridge": "{ ...squish(after[0]), ...next(operator) }" },
  { "id": "went", "level": 1, "bridge": "{ ...next(operator), who: before[0] }" },
  { "id": "went", "level": 2, "bridge": "{ action: 'go', marker: 'go', actor: operator.who, place: operator.to }" },
]

utterances = ["joe went to the store"]

generators = [
  [ { 'marker': 'go' }, "${actor} went to ${place}" ],
  [ { 'determiner': 'the' }, "the ${marker}" ],
  [ { 'marker': 'rename' }, "call ${thing} ${name}" ],
  [ { 'marker': 'tank1' }, "tank1" ],
  [ { 'marker': 'joe' }, "joe" ]
];
words = {}
objects = {}
key = '6804954f-e56d-471f-bbb8-08e3c54d9321'

client.process(operators, bridges, words, generators, utterances, objects, key, flatten=null)
  .then( (responses) => {
    responses = JSON.parse(responses);
    console.log(JSON.stringify(responses, null, 2));
  })
  .catch( (error) => { 
    console.log(error)
  })

operators = ['([call] (tank1) (joe))']

bridges = [
  { "id": "call", "level": 0, "bridge": "{ ...next(operator), thing: after[0], name: after[1] }" },
  { "id": "call", "level": 1, "bridge": "{ marker: 'rename', thing: operator.thing, name: operator.name }" },
]

utterances = ["call tank1 joe"]

client.process(operators, bridges, words, generators, utterances, objects, key, flatten=null)
  .then( (responses) => {
    console.log('xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx');
    responses = JSON.parse(responses)
    console.log(JSON.stringify(responses, null, 2));
  })
  .catch( (error) => { 
    console.log('in the erro handler');
    console.log(error)
  })
